GET /api/farcaster/cast/{hash}
Farcaster cast by hash
GET cast data from farcaster service
Endpoint​
GET https://api.web3identity.com/api/farcaster/cast/{hash}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hash | path | string | âś… | Transaction or cast hash |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/cast/:hash" | jq
Responses​
200 Success​
{
"hash": "0xabcdef1234567890",
"text": "This is an example cast on Farcaster!",
"author": {
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"pfpUrl": "https://i.imgur.com/example.png"
},
"timestamp": 1707393600000,
"replies": 12,
"recasts": 8,
"reactions": {
"likes": 45,
"count": 45
},
"embeds": [
{
"url": "https://example.com"
}
],
"channel": {
"id": "dev",
"name": "dev"
}
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec